---
# https://github.com/geerlingguy/ansible-role-mysql/blob/master/molecule/default/molecule.yml

dependency:
  name: galaxy
driver:
  name: docker
lint: |
  yamllint -c molecule/default/yaml-lint.yml .
  ansible-lint
platforms:
  - name: ${DISTRO:-ubuntu}-${INSTANCE:-instance}
    image: fanchthesystem/${DISTRO:-ubuntu}-with-systemd:latest
    override_command: false
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    published_ports:
      - 80:80
      - 443:443
provisioner:
  name: ansible
  log: true
  options:
    v: true
  playbooks:
    converge: ${TEST_PLAYBOOK:-playbook.yml}
  config_options:
    defaults:
      stdout_callback: debug
      callback_whitelist: profile_tasks
      timeout: 60
verifier:
  name: ansible
